%+------------------------------------------------------------------------+
%| Matlab script to download files using FTP.                             |
%| Adele Dixon - last updated 07/08/2020                                  |
%+------------------------------------------------------------------------+

%+------------------------------------------------------------------------+
%| Set FTP connection.                                                    |
%+------------------------------------------------------------------------+

% CCI
ftpobj = ftp('anon-ftp.ceda.ac.uk');

% CoralTemp
%ftpobj = ftp('ftp.star.nesdis.noaa.gov');

%+------------------------------------------------------------------------+
%| Navigate to remote file location.                                      |
%+------------------------------------------------------------------------+

%dir(ftpobj)

cd(ftpobj,'neodc/esacci/sst/data/CDR_v2/Analysis/L4/v2.1')
%cd(ftpobj,'pub/sod/mecb/crw/data/coraltemp/v1.0/nc')

%+------------------------------------------------------------------------+
%| Set target location for downloading files to.                          |
%+------------------------------------------------------------------------+

target = 'SST/CCI';
%target = 'SST/CoralTemp';

%+------------------------------------------------------------------------+
%| Download files using mget.                                             |
%+------------------------------------------------------------------------+

mget(ftpobj,'*',target)
%mget(ftpobj,'*',target)

%+------------------------------------------------------------------------+
%| Close FTP connection.                                                  |
%+------------------------------------------------------------------------+

close(ftpobj)

quit;



